// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.LoadBalancing;


//
// Initialize the server for load balancing.
//
// Note: This function *must* be called before initializing the ORB.
//
final public class LB
{
    static public void init(java.util.Properties props)
    {
	//
	// Register the Balancer initializer.
	//
	props.put("org.omg.PortableInterceptor.ORBInitializerClass." +
	          "com.ooc.LoadBalancing.BalancerInitializer", "");
    }
}
