// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.LoadBalancing.Util;

//
// Initialize the LoadAlert, LoadUpdater, and LoadCalculator local
// objects.
//
// Note: This function *must* be called before initializing the ORB.
//       Also, if both the LoadCalculator and LoadUpdater are created,
//       then it is not necessary to call set_load_calculator() on the
//       LoadUpdater object with the LoadCalculator object.
//
final public class LBUtil
{
    static public void init(java.util.Properties props)
    {
	//
	// Register the Balancer Utility initializer.
	//
	props.put("org.omg.PortableInterceptor.ORBInitializerClass." +
	          "com.ooc.LoadBalancing.Util.UtilInitializer", "");
    }
}
