// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosEvent;

final public class ProxyState
{
    public final static int _Disconnected = 0;
    public final static ProxyState Disconnected =
        new ProxyState(_Disconnected);
    public final static int _Connected = 1;
    public final static ProxyState Connected = new ProxyState(_Connected);
    public final static int _Destroyed = 2;
    public final static ProxyState Destroyed = new ProxyState(_Destroyed);
    public final static int _Discarding = 3;
    public final static ProxyState Discarding = new ProxyState(_Discarding);

    private int value_;

    protected ProxyState(int value)
    {
	value_ = value;
    }
}
