// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosEventChannelAdmin;

import com.ooc.CosEvent.*;
import org.omg.CORBA.*;

class PushPipeSegment extends PipeSegment
{
    //
    // The event pusher.
    //
    private PusherBaseThread pusher_;

    public PushPipeSegment(PusherBaseThread pusher)
    {
	pusher_ = pusher;
    }

    public boolean
    receive(Event_impl event)
    {
	if(destroy_)
	    return false;

	pusher_.newEvent(event);

	return true;
    }
    
    public void
    destroy()
    {
	if(destroy_)
	    return;

	com.ooc.OB.Assert._OB_assert(pusher_ != null);
	pusher_.halt();
	super.destroy();
    }
}
