// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package event;

import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import org.omg.PortableServer.POAPackage.*;
import org.omg.CosEventComm.*;
import java.io.*;

class Echo_impl extends TypedEchoPOA
{
    private ORB orb_;
    private POA poa_;
    private StringBuffer buf_;


    Echo_impl(ORB orb, POA poa,  StringBuffer buf)
    {
        orb_ = orb;
        poa_ = poa;
        buf_ = buf;
    }

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public void
    echo_string(String str)
    {
        buf_.append(str);
        buf_.append("\n");
    }

    public void
    push(org.omg.CORBA.Any any)
    {
    }

    public void
    disconnect_push_consumer()
    {
        byte[] oid = null;
        try
        {
            oid = poa_.servant_to_id(this);
        }
        catch(ServantNotActive ex)
        {
            throw new RuntimeException();
        }
        catch(WrongPolicy ex)
        {
            throw new RuntimeException();
        }

        try
        {
            poa_.deactivate_object(oid);
        }
        catch(ObjectNotActive ex)
        {
            throw new RuntimeException();
        }
        catch(WrongPolicy ex)
        {
            throw new RuntimeException();
        }

        orb_.shutdown(false);
    }

    public POA
    _default_POA()
    {
	return poa_;
    }
}

