// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package benchmark;

import benchmark.Benchmark.*;

public class BasicTester_impl extends BasicTesterPOA
{
    private org.omg.CORBA.ORB orb_;
    private org.omg.PortableServer.POA poa_;

    public
    BasicTester_impl(
	org.omg.CORBA.ORB orb,
	org.omg.PortableServer.POA poa
    )
    {
        orb_ = orb;
	poa_ = poa;
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
	return poa_;
    }

    //
    // IDL:Benchmark/BasicTester/ping:1.0
    //
    public void
    ping()
    {
    }

    //
    // IDL:Benchmark/BasicTester/short_in_t:1.0
    //
    public void
    short_in_t(short s)
    {
    }

    //
    // IDL:Benchmark/BasicTester/short_out_t:1.0
    //
    public void
    short_out_t(org.omg.CORBA.ShortHolder s)
    {
        s.value = 7;
    }

    //
    // IDL:Benchmark/BasicTester/short_inout_t:1.0
    //
    public void
    short_inout_t(org.omg.CORBA.ShortHolder s)
    {
        s.value = 44;
    }

    //
    // IDL:Benchmark/BasicTester/short_ret_t:1.0
    //
    public short
    short_ret_t()
    {
        return 19;
    }

    //
    // IDL:Benchmark/BasicTester/long_in_t:1.0
    //
    public void
    long_in_t(int l)
    {
    }

    //
    // IDL:Benchmark/BasicTester/long_out_t:1.0
    //
    public void
    long_out_t(org.omg.CORBA.IntHolder l)
    {
        l.value = 88884;
    }

    //
    // IDL:Benchmark/BasicTester/long_inout_t:1.0
    //
    public void
    long_inout_t(org.omg.CORBA.IntHolder l)
    {
        l.value = 99;
    }

    //
    // IDL:Benchmark/BasicTester/long_ret_t:1.0
    //
    public int
    long_ret_t()
    {
        return 88;
    }

    //
    // IDL:Benchmark/BasicTester/longlong_in_t:1.0
    //
    public void
    longlong_in_t(long ll)
    {
    }

    //
    // IDL:Benchmark/BasicTester/longlong_out_t:1.0
    //
    public void
    longlong_out_t(org.omg.CORBA.LongHolder ll)
    {
        ll.value = 8888839234L;
    }

    //
    // IDL:Benchmark/BasicTester/longlong_inout_t:1.0
    //
    public void
    longlong_inout_t(org.omg.CORBA.LongHolder ll)
    {
        ll.value = 88L;
    }

    //
    // IDL:Benchmark/BasicTester/longlong_ret_t:1.0
    //
    public long
    longlong_ret_t()
    {
        return 9234098234L;
    }

    //
    // IDL:Benchmark/BasicTester/ushort_in_t:1.0
    //
    public void
    ushort_in_t(short us)
    {
    }

    //
    // IDL:Benchmark/BasicTester/ushort_out_t:1.0
    //
    public void
    ushort_out_t(org.omg.CORBA.ShortHolder us)
    {
        us.value = 7;
    }

    //
    // IDL:Benchmark/BasicTester/ushort_inout_t:1.0
    //
    public void
    ushort_inout_t(org.omg.CORBA.ShortHolder us)
    {
        us.value = 8883;
    }

    //
    // IDL:Benchmark/BasicTester/ushort_ret_t:1.0
    //
    public short
    ushort_ret_t()
    {
        return 88;
    }

    //
    // IDL:Benchmark/BasicTester/ulong_in_t:1.0
    //
    public void
    ulong_in_t(int ul)
    {
    }

    //
    // IDL:Benchmark/BasicTester/ulong_out_t:1.0
    //
    public void
    ulong_out_t(org.omg.CORBA.IntHolder ul)
    {
        ul.value = 1234890;
    }

    //
    // IDL:Benchmark/BasicTester/ulong_inout_t:1.0
    //
    public void
    ulong_inout_t(org.omg.CORBA.IntHolder ul)
    {
        ul.value = 1230498;
    }

    //
    // IDL:Benchmark/BasicTester/ulong_ret_t:1.0
    //
    public int
    ulong_ret_t()
    {
        return 439402;
    }

    //
    // IDL:Benchmark/BasicTester/ulonglong_in_t:1.0
    //
    public void
    ulonglong_in_t(long ull)
    {
    }

    //
    // IDL:Benchmark/BasicTester/ulonglong_out_t:1.0
    //
    public void
    ulonglong_out_t(org.omg.CORBA.LongHolder ull)
    {
        ull.value = 9940202394L;
    }

    //
    // IDL:Benchmark/BasicTester/ulonglong_inout_t:1.0
    //
    public void
    ulonglong_inout_t(org.omg.CORBA.LongHolder ull)
    {
        ull.value = 999293024L;
    }

    //
    // IDL:Benchmark/BasicTester/ulonglong_ret_t:1.0
    //
    public long
    ulonglong_ret_t()
    {
        return 8882923L;
    }

    //
    // IDL:Benchmark/BasicTester/float_in_t:1.0
    //
    public void
    float_in_t(float f)
    {
    }

    //
    // IDL:Benchmark/BasicTester/float_out_t:1.0
    //
    public void
    float_out_t(org.omg.CORBA.FloatHolder f)
    {
        f.value = 7888.4F;
    }

    //
    // IDL:Benchmark/BasicTester/float_inout_t:1.0
    //
    public void
    float_inout_t(org.omg.CORBA.FloatHolder f)
    {
        f.value = 9994.99323434F;
    }

    //
    // IDL:Benchmark/BasicTester/float_ret_t:1.0
    //
    public float
    float_ret_t()
    {
        return 883.779023F;
    }

    //
    // IDL:Benchmark/BasicTester/double_in_t:1.0
    //
    public void
    double_in_t(double d)
    {
    }

    //
    // IDL:Benchmark/BasicTester/double_out_t:1.0
    //
    public void
    double_out_t(org.omg.CORBA.DoubleHolder d)
    {
        d.value = 88888234.882030948;
    }

    //
    // IDL:Benchmark/BasicTester/double_inout_t:1.0
    //
    public void
    double_inout_t(org.omg.CORBA.DoubleHolder d)
    {
        d.value = 1234.4523409;
    }

    //
    // IDL:Benchmark/BasicTester/double_ret_t:1.0
    //
    public double
    double_ret_t()
    {
        return 88234.333234;
    }

    //
    // IDL:Benchmark/BasicTester/char_in_t:1.0
    //
    public void
    char_in_t(char c)
    {
    }

    //
    // IDL:Benchmark/BasicTester/char_out_t:1.0
    //
    public void
    char_out_t(org.omg.CORBA.CharHolder c)
    {
        c.value = 'f';
    }

    //
    // IDL:Benchmark/BasicTester/char_inout_t:1.0
    //
    public void
    char_inout_t(org.omg.CORBA.CharHolder c)
    {
        c.value = 'M';
    }

    //
    // IDL:Benchmark/BasicTester/char_ret_t:1.0
    //
    public char
    char_ret_t()
    {
        return 'v';
    }

    //
    // IDL:Benchmark/BasicTester/wchar_in_t:1.0
    //
    public void
    wchar_in_t(char wc)
    {
    }

    //
    // IDL:Benchmark/BasicTester/wchar_out_t:1.0
    //
    public void
    wchar_out_t(org.omg.CORBA.CharHolder wc)
    {
        wc.value = 'z';
    }

    //
    // IDL:Benchmark/BasicTester/wchar_inout_t:1.0
    //
    public void
    wchar_inout_t(org.omg.CORBA.CharHolder wc)
    {
        wc.value = 'F';
    }

    //
    // IDL:Benchmark/BasicTester/wchar_ret_t:1.0
    //
    public char
    wchar_ret_t()
    {
        return 'Q';
    }

    //
    // IDL:Benchmark/BasicTester/string_in_t:1.0
    //
    public void
    string_in_t(String s)
    {
    }

    //
    // IDL:Benchmark/BasicTester/string_out_t:1.0
    //
    public void
    string_out_t(org.omg.CORBA.StringHolder s)
    {
        s.value = "Howdy";
    }

    //
    // IDL:Benchmark/BasicTester/string_inout_t:1.0
    //
    public void
    string_inout_t(org.omg.CORBA.StringHolder s)
    {
        s.value = "Pardner";
    }

    //
    // IDL:Benchmark/BasicTester/string_ret_t:1.0
    //
    public String
    string_ret_t()
    {
        return "Yowza";
    }

    //
    // IDL:Benchmark/BasicTester/wstring_in_t:1.0
    //
    public void
    wstring_in_t(String s)
    {
    }

    //
    // IDL:Benchmark/BasicTester/wstring_out_t:1.0
    //
    public void
    wstring_out_t(org.omg.CORBA.StringHolder s)
    {
        s.value = "Phlogiston";
    }

    //
    // IDL:Benchmark/BasicTester/wstring_inout_t:1.0
    //
    public void
    wstring_inout_t(org.omg.CORBA.StringHolder s)
    {
        s.value = "Ether";
    }

    //
    // IDL:Benchmark/BasicTester/wstring_ret_t:1.0
    //
    public String
    wstring_ret_t()
    {
        return "Ray gun";
    }

    //
    // IDL:Benchmark/BasicTester/boolean_in_t:1.0
    //
    public void
    boolean_in_t(boolean b)
    {
    }

    //
    // IDL:Benchmark/BasicTester/boolean_out_t:1.0
    //
    public void
    boolean_out_t(org.omg.CORBA.BooleanHolder b)
    {
        b.value = true;
    }

    //
    // IDL:Benchmark/BasicTester/boolean_inout_t:1.0
    //
    public void
    boolean_inout_t(org.omg.CORBA.BooleanHolder b)
    {
        b.value = false;
    }

    //
    // IDL:Benchmark/BasicTester/boolean_ret_t:1.0
    //
    public boolean
    boolean_ret_t()
    {
        return true;
    }

    //
    // IDL:Benchmark/BasicTester/octet_in_t:1.0
    //
    public void
    octet_in_t(byte o)
    {
    }

    //
    // IDL:Benchmark/BasicTester/octet_out_t:1.0
    //
    public void
    octet_out_t(org.omg.CORBA.ByteHolder o)
    {
        o.value = 7;
    }

    //
    // IDL:Benchmark/BasicTester/octet_inout_t:1.0
    //
    public void
    octet_inout_t(org.omg.CORBA.ByteHolder o)
    {
        o.value = 0;
    }

    //
    // IDL:Benchmark/BasicTester/octet_ret_t:1.0
    //
    public byte
    octet_ret_t()
    {
        return 14;
    }

    //
    // IDL:Benchmark/BasicTester/any_in_t:1.0
    //
    public void
    any_in_t(org.omg.CORBA.Any a)
    {
    }

    //
    // IDL:Benchmark/BasicTester/any_out_t:1.0
    //
    public void
    any_out_t(org.omg.CORBA.AnyHolder a)
    {
        a.value = orb_.create_any();
	a.value.insert_float(44.44F);
    }

    //
    // IDL:Benchmark/BasicTester/any_inout_t:1.0
    //
    public void
    any_inout_t(org.omg.CORBA.AnyHolder a)
    {
	a.value.insert_double(44234.88234);
    }

    //
    // IDL:Benchmark/BasicTester/any_ret_t:1.0
    //
    public org.omg.CORBA.Any
    any_ret_t()
    {
        org.omg.CORBA.Any a = orb_.create_any();
	short s = 4;
	a.insert_short(s);
	return a;
    }
}
