// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package factory;

//
// Abstract class that defines the interface for a servant reaper
//
public interface Reaper
{
    void
    addServant(byte[] oid, org.omg.PortableServer.Servant servant);

    void
    removeServant(byte[] oid);

    org.omg.PortableServer.Servant
    acquireServant(byte[] oid);
    
    void
    releaseServant(byte[] oid);
    
    void
    reap();
}
