// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.OB;

final class FixedWidth2Writer implements CodeSetWriter
{
    public void
    write_char(com.ooc.CORBA.OutputStream out, char v)
        throws org.omg.CORBA.DATA_CONVERSION
    {
	out.buf_.data_[out.buf_.pos_++] = (byte)v;
    }

    public void
    write_wchar(com.ooc.CORBA.OutputStream out, char v)
        throws org.omg.CORBA.DATA_CONVERSION
    {
	out.buf_.data_[out.buf_.pos_] = (byte)(v >> 8);
	out.buf_.data_[out.buf_.pos_ + 1] = (byte)v;
    }

    public int
    count_wchar(char v)
    {
	return 2;
    }
}
