// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.OB;

public interface UpcallReturn
{
    //
    // Called upon return of the upcall
    //
    void upcallBeginReply(Upcall upcall, org.omg.IOP.ServiceContext[] scl);
    void upcallEndReply(Upcall upcall);
    void upcallBeginUserException(Upcall upcall,
                                  org.omg.IOP.ServiceContext[] scl);
    void upcallEndUserException(Upcall upcall);
    void upcallUserException(Upcall upcall,
                             org.omg.CORBA.UserException ex,
                             org.omg.IOP.ServiceContext[] scl);
    void upcallSystemException(Upcall upcall,
                               org.omg.CORBA.SystemException exception,
                               org.omg.IOP.ServiceContext[] scl);
    void upcallForward(Upcall upcall, org.omg.IOP.IOR ior, boolean perm,
		       org.omg.IOP.ServiceContext[] scl);
}
