// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.OBPortableServer;

//
// This abstract class represents an id generation strategy
//
interface IdGenerationStrategy
{
    //
    // Create a new ObjectId
    //
    byte[]
    createId()
    throws org.omg.PortableServer.POAPackage.WrongPolicy;

    //
    // Is an ObjectId valid?
    //
    boolean
    isValid(byte[] oid);
}
