// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.OCI;

public interface PluginInit
{
    //
    // Compatibility check. The plug-in should verify that it is
    // compatible with the given OCI version, and raise an exception
    // if not.
    //
    void version(org.omg.CORBA.ORB orb, String ver);

    //
    // Initialize the plug-in for an ORB
    //
    com.ooc.OCI.Plugin init(org.omg.CORBA.ORB orb,
                            org.omg.CORBA.StringSeqHolder args);
}
