# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

!include $(top_srcdir)\..\config\Make.rules.mak

all:: auto tests

auto:: $(top_srcdir)\lib generated
	$(JIDL) $(JIDLFLAGS) -I. --tie --package test.codesets \
	--output-dir generated TestCodeSets.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\test\codesets\*.java

tests:: $(top_srcdir)\lib
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	*.java

clean::
	-rmdir /s /q $(top_srcdir)\lib\test\codesets
