# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

!include $(top_srcdir)\..\config\Make.rules.mak

IDLDIR	= $(top_srcdir)\idl

all:: auto tests

auto:: $(top_srcdir)\lib generated
	$(JIDL) $(JIDLFLAGS) -I$(IDLDIR) -I. \
	--package test.poa --output-dir generated \
	Test.idl TestLocationForwardActivator.idl POAManagerProxy.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\test\poa\*.java \
	generated\test\poa\POAManagerProxyPackage\*.java

tests:: $(top_srcdir)\lib
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	*.java

clean::
	-rmdir /s /q $(top_srcdir)\lib\test\poa
