// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package imageshow;

public class ImageShow_impl extends ImageShowPOA
{  
    private ReceiverWindow window_; // The receiver window
    
    //
    // Constructor
    //
    ImageShow_impl(ReceiverWindow window)
    {
        window_ = window;
    }
    
    //
    // Display an image
    //
    public void 
    show(String name, byte[] image)
    {
        window_.showImage(name, image);
    }
    
    //
    // Quit the program
    //
    public void
    quit()
    {
        _orb().shutdown(true);
        System.exit(0);
    }
}
