# **********************************************************************
#
# Copyright (c) 2002
# IONA Technoligies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

NAME		= OBWatson.jar

!include $(top_srcdir)\..\config\Make.rules.mak

IDLDIR	= $(top_srcdir)\idl

all:: $(top_srcdir)\lib classes generated
	$(JIDL) $(JIDLFLAGS) -I$(IDLDIR) -I. \
	--no-skeletons --prefix-package omg.org org.omg \
	--package com.ooc --output-dir generated \
	$(IDLDIR)\OB\CallStack.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d ..\lib \
	generated\com\ooc\watson\*.java \
	com\ooc\watson\*.java

jar:
	cd $(top_srcdir)\lib
	if exist $(NAME) del $(NAME)
	$(JAR) $(JARFLAGS) $(NAME) org com
 
install:: jar
	copy $(top_srcdir)\lib\$(NAME) $(libdir)
 
clean::
	-rmdir /s /q $(top_srcdir)\lib
