# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

# ----------------------------------------------------------------------
# Use the following lines to set your installation directories
# ----------------------------------------------------------------------

prefix		= C:\OOC
bindir		= $(prefix)\bin
libdir		= $(prefix)\lib
idldir		= $(prefix)\idl

# ----------------------------------------------------------------------
# Please change the following settings to reflect the IDL-to-Java
# translator. In particular, make sure the JIDL program is in your
# PATH, or provide the full pathname below.
# ----------------------------------------------------------------------

JIDL		= jidl

# ----------------------------------------------------------------------
# Please change the following settings to reflect your Java
# development environment
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# Set RT_JAR to be the location of your JDK's runtime classes. For
# JDK 1.3 and later, the default setting should be sufficient.
# ----------------------------------------------------------------------

RT_JAR          = $(JAVA_HOME)/jre/lib/rt.jar

# ----------------------------------------------------------------------
# Enable BOOTCLASSPATH if you are compiling with JDK 1.4.
# See the INSTALL file for more information.
# ----------------------------------------------------------------------

#BOOTCLASSPATH   = -bootclasspath "$(top_srcdir)/lib;$(top_srcdir)/../ob/lib;$(RT_JAR)"

JAVA		= java

# SUN's JDK 1.3 or higher
JAVAC		= javac $(BOOTCLASSPATH)
JAVACDEBUG	= #-g
JAVACFLAGS	= $(JAVACDEBUG) $(BOOTCLASSPATH) #-deprecation

# IBM's jikes Java compiler
#JAVAC		= jikes
#JAVACDEBUG	=
#JAVACFLAGS	= $(JAVACDEBUG) -nowarn

JAR		= jar
JARFLAGS	= c0f

# ----------------------------------------------------------------------
# Don't change anything below this line
# ----------------------------------------------------------------------

# ORBacus for Java classes
OB_LIB=$(top_srcdir)\..\ob\lib
OB_UTIL_LIB=$(top_srcdir)\..\util\lib
OB_IMR_LIB=$(top_srcdir)\..\imr\lib
OB_PROPERTY_LIB=$(top_srcdir)\..\property\lib
OB_EVENT_LIB=$(top_srcdir)\..\event\lib
OB_NAMING_LIB=$(top_srcdir)\..\naming\lib
OB_TIME_LIB=$(top_srcdir)\..\time\lib
OB_BIDIR_LIB=$(top_srcdir)\..\bidir\lib
OB_UDP_LIB=$(top_srcdir)\..\udp\lib
OB_TEST_LIB=$(top_srcdir)\..\ob\lib


SHELL		= bash # Only needed for "nmake /f Makefile.mak test"

.SUFFIXES:
.SUFFIXES:	.java .class

.java.class:
	$(JAVAC) $(JAVACFLAGS) $<

all::

clean::
	-del *.bak *.flc

install::

test::

classes:
	mkdir classes

generated:
	mkdir generated

$(top_srcdir)\lib:
	mkdir $(top_srcdir)\lib

clean::
	-rmdir /s /q classes
	-rmdir /s /q generated
