@echo off

REM
REM The installation subdirectory.
REM
set INSTALLDIR=C:\OOC\OBIMRConsole

REM
REM The host on which the IMR is running
REM
set IMR_HOST=

REM
REM The administrative port used by the IMR
REM
set ADMIN_PORT=9999

REM
REM Any additional command-line arguments to be passed to the client.
REM The IMR Console will ignore any arguments it does not recognize.
REM
set ARGS=-ORBservice IMR corbaloc::$IMR_HOST:$ADMIN_PORT/IMR

REM
REM Establish the CLASSPATH for the program. The program requires the
REM OBIMR.jar file.
REM
set CLASSPATH=%INSTALLDIR%\lib\OBIMR.jar;%INSTALLDIR%\lib\OB.jar;%INSTALLDIR%\lib\OBUtil.jar;%CLASSPATH%

REM
REM Time to start the client.  Any additional properties that need
REM to be defined should go here.  DOS doesn't allow statements
REM of the form "set XYZ=ABC=DEF", so we can't put property
REM definitions of the form "-Dname=value" in any environment variable.
REM
java com.ooc.IMRConsole.Main %ARGS%
