// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package custom;

public class Pizzeria_impl extends PizzeriaPOA
{
    private org.omg.PortableServer.POA poa_;

    public
    Pizzeria_impl(org.omg.PortableServer.POA poa)
    {
	poa_ = poa;
    }

    public void
    order_pizza(custom.PizzeriaPackage.Size sz,
                custom.PizzeriaPackage.Topping[] t,
                Customer cust)
    {
        System.out.println("Pizza Order:");
        System.out.println();
        System.out.print("  Size    : ");
        switch(sz.value())
        {
        case custom.PizzeriaPackage.Size._SMALL:
            System.out.println("Small");
            break;

        case custom.PizzeriaPackage.Size._MEDIUM:
            System.out.println("Medium");
            break;

        case custom.PizzeriaPackage.Size._LARGE:
            System.out.println("Large");
            break;
        }

        System.out.print("  Toppings: ");
        for(int i = 0 ; i < t.length ; i++)
        {
            switch(t[i].value())
            {
            case custom.PizzeriaPackage.Topping._CHEESE:
                System.out.print("Cheese ");
                break;
                
            case custom.PizzeriaPackage.Topping._ANCHOVIES:
                System.out.print("Anchovies ");
                break;
                
            case custom.PizzeriaPackage.Topping._SALAMI:
                System.out.print("Salami ");
                break;
                
            case custom.PizzeriaPackage.Topping._PEPPERONI:
                System.out.print("Pepperoni ");
                break;
            }
        }
        System.out.println();

        System.out.print("  Payment : ");
        System.out.println(cust.name + ", CC# " + cust.credit_card +
                           ", Exp " + cust.expires);

        System.out.println();
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
	return poa_;
    }
}
