// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.OB;

//
// This exception should ONLY be used when the ORB needs to bypass
// a standardized API. The checked exception LocationForward should be
// used in all other cases.
//
final public class RuntimeLocationForward extends RuntimeException
{
    public org.omg.IOP.IOR ior; // Forwarded IOR
    public boolean perm; // Is this a LOCATION_FORWARD_PERM?

    public RuntimeLocationForward(org.omg.IOP.IOR i, boolean p)
    {
        ior = i;
        perm = p;
    }
}
