// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package org.omg.CORBA;

final public class DoubleHolder
    implements org.omg.CORBA.portable.Streamable
{
    public double value;

    public
    DoubleHolder()
    {
    }

    public
    DoubleHolder(double initial)
    {
	value = initial;
    }

    public void
    _read(org.omg.CORBA.portable.InputStream input)
    {
	value = input.read_double();
    }

    public void
    _write(org.omg.CORBA.portable.OutputStream output)
    {
	output.write_double(value);
    }

    public org.omg.CORBA.TypeCode
    _type()
    {
	return org.omg.CORBA.ORB.init().get_primitive_tc(TCKind.tk_double);
    }
}
