// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package test.local;

public class Test_impl extends TestPOA
{
    private org.omg.PortableServer.POA poa_;
    private Test localTest_;

    private static void
    TEST(boolean expr)
    {
        if(!expr)
            throw new test.common.TestException();
    }

    public
    Test_impl(org.omg.PortableServer.POA poa)
    {
        poa_ = poa;
        localTest_ = new LocalTest_impl();
    }

    public org.omg.PortableServer.POA
    _default_POA()
    {
        if(poa_ != null)
            return poa_;
        else
            return super._default_POA();
    }

    public void
    say(String s)
    {
        //System.out.println(s);
    }

    public void
    intest(Test t)
    {
        t.say("hi");
    }

    public void
    inany(org.omg.CORBA.Any a)
    {
        Test t = TestHelper.extract(a);
    }

    public void
    outany(org.omg.CORBA.AnyHolder a)
    {
        a.value = _orb().create_any();
        TestHelper.insert(a.value, localTest_);
    }

    public Test
    returntest()
    {
        return localTest_;
    }

    public void
    shutdown()
    {
        _orb().shutdown(false);
    }
}
