# **********************************************************************
#
# Copyright (c) 2002
# IONA Technologies, Inc.
# Waltham, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

NAME		= OBTime.jar

!include $(top_srcdir)\..\config\Make.rules.mak

IDLDIR		= $(top_srcdir)\idl\OB

#
# TODO: The ob idl path should be an environment variable
#
ALL_JIDLFLAGS	= -I$(top_srcdir)\idl -I$(top_srcdir)/../ob/idl $(JIDLFLAGS)

all:: omg ooc

omg: $(top_srcdir)\lib generated
	$(JIDL) $(ALL_JIDLFLAGS) --package org.omg \
	--output-dir generated \
	$(IDLDIR)\CosTime.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\org\omg\CosTime\*.java

ooc: $(top_srcdir)\lib generated
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	com\ooc\CosTime\*.java

jar:
	cd $(top_srcdir)\lib
	if exist $(NAME) del $(NAME)
	$(JAR) $(JARFLAGS) $(NAME) org com
 
install:: jar
	copy $(top_srcdir)\lib\$(NAME) $(libdir)
 
clean::
	-rmdir /s /q $(top_srcdir)\lib
